<?php
namespace InternetGalerie\Igshop2\Domain\Model;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2015
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Currency
 */
class Currency extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * name
	 *
	 * @var string
	 */
	protected $name = '';

	/**
	 * short
	 *
	 * @var string
	 */
	protected $short = '';

	/**
	 * faktor
	 *
	 * @var float
	 */
	protected $faktor = 0.0;

	/**
	 * symbol
	 *
	 * @var string
	 */
	protected $symbol = '';

	/**
	 * rounding
	 *
	 * @var float
	 */
	protected $rounding = 0.0;

	/**
	 * afterPrice
	 *
	 * @var boolean
	 */
	protected $afterPrice = FALSE;

	/**
	 * commaSeparator
	 *
	 * @var string
	 */
	protected $commaSeparator = '';

	/**
	 * thousandSeparator
	 *
	 * @var string
	 */
	protected $thousandSeparator = '';

	/**
	 * Returns the name
	 *
	 * @return string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 *
	 * @param string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Returns the short
	 *
	 * @return string $short
	 */
	public function getShort() {
		return $this->short;
	}

	/**
	 * Sets the short
	 *
	 * @param string $short
	 * @return void
	 */
	public function setShort($short) {
		$this->short = $short;
	}

	/**
	 * Returns the faktor
	 *
	 * @return float $faktor
	 */
	public function getFaktor() {
		return $this->faktor;
	}

	/**
	 * Sets the faktor
	 *
	 * @param float $faktor
	 * @return void
	 */
	public function setFaktor($faktor) {
		$this->faktor = $faktor;
	}

	/**
	 * Returns the symbol
	 *
	 * @return string $symbol
	 */
	public function getSymbol() {
		return $this->symbol;
	}

	/**
	 * Sets the symbol
	 *
	 * @param string $symbol
	 * @return void
	 */
	public function setSymbol($symbol) {
		$this->symbol = $symbol;
	}

	/**
	 * Returns the rounding
	 *
	 * @return float $rounding
	 */
	public function getRounding() {
		return $this->rounding;
	}

	/**
	 * Sets the rounding
	 *
	 * @param float $rounding
	 * @return void
	 */
	public function setRounding($rounding) {
		$this->rounding = $rounding;
	}

	/**
	 * Returns the afterPrice
	 *
	 * @return boolean $afterPrice
	 */
	public function getAfterPrice() {
		return $this->afterPrice;
	}

	/**
	 * Sets the afterPrice
	 *
	 * @param boolean $afterPrice
	 * @return void
	 */
	public function setAfterPrice($afterPrice) {
		$this->afterPrice = $afterPrice;
	}

	/**
	 * Returns the boolean state of afterPrice
	 *
	 * @return boolean
	 */
	public function isAfterPrice() {
		return $this->afterPrice;
	}

	/**
	 * Returns the commaSeparator
	 *
	 * @return string $commaSeparator
	 */
	public function getCommaSeparator() {
		return $this->commaSeparator;
	}

	/**
	 * Sets the commaSeparator
	 *
	 * @param string $commaSeparator
	 * @return void
	 */
	public function setCommaSeparator($commaSeparator) {
		$this->commaSeparator = $commaSeparator;
	}

	/**
	 * Returns the thousandSeparator
	 *
	 * @return string $thousandSeparator
	 */
	public function getThousandSeparator() {
		return $this->thousandSeparator;
	}

	/**
	 * Sets the thousandSeparator
	 *
	 * @param string $thousandSeparator
	 * @return void
	 */
	public function setThousandSeparator($thousandSeparator) {
		$this->thousandSeparator = $thousandSeparator;
	}

}
