<?php
namespace InternetGalerie\Igshop2\Domain\Model;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2017
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Portoprice
 */
class Portoprice extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * price
	 *
	 * @var float
	 */
	protected $price = 0.0;

	/**
	 * price Euro
	 *
	 * @var float
	 */
	protected $priceEuro = 0.0;

	/**
	 * amountMin
	 *
	 * @var float
	 */
	protected $amountMin = 0.0;

	/**
	 * amountMax
	 *
	 * @var float
	 */
	protected $amountMax = 0.0;

	/**
	 * quantityMin
	 *
	 * @var integer
	 */
	protected $quantityMin = 0;

	/**
	 * quantityMax
	 *
	 * @var integer
	 */
	protected $quantityMax = 0;

	/**
	 * description
	 *
	 * @var string
	 */
	protected $description = '';

	/**
	 * Returns the price
	 *
	 * @return float $price
	 */
	public function getPrice() {
		return $this->price;
	}

	/**
	 * Sets the price
	 *
	 * @param float $price
	 * @return void
	 */
	public function setPrice($price) {
		$this->price = $price;
	}

	/**
	 * Returns the price
	 *
	 * @return float $price
	 */
	public function getPriceEuro() {
		return $this->price;
	}

	/**
	 * Sets the priceEuro
	 *
	 * @param float $price
	 * @return void
	 */
	public function setPriceEuro($price) {
		$this->price = $price;
	}

	/**
	 * Returns the amountMin
	 *
	 * @return float $amountMin
	 */
	public function getAmountMin() {
		return $this->amountMin;
	}

	/**
	 * Sets the amountMin
	 *
	 * @param float $amountMin
	 * @return void
	 */
	public function setAmountMin($amountMin) {
		$this->amountMin = $amountMin;
	}

	/**
	 * Returns the amountMax
	 *
	 * @return float $amountMax
	 */
	public function getAmountMax() {
		return $this->amountMax;
	}

	/**
	 * Sets the amountMax
	 *
	 * @param float $amountMax
	 * @return void
	 */
	public function setAmountMax($amountMax) {
		$this->amountMax = $amountMax;
	}

	/**
	 * Returns the quantityMin
	 *
	 * @return integer $quantityMin
	 */
	public function getQuantityMin() {
		return $this->quantityMin;
	}

	/**
	 * Sets the quantityMin
	 *
	 * @param integer $quantityMin
	 * @return void
	 */
	public function setQuantityMin($quantityMin) {
		$this->quantityMin = $quantityMin;
	}

	/**
	 * Returns the quantityMax
	 *
	 * @return integer $quantityMax
	 */
	public function getQuantityMax() {
		return $this->quantityMax;
	}

	/**
	 * Sets the quantityMax
	 *
	 * @param integer $quantityMax
	 * @return void
	 */
	public function setQuantityMax($quantityMax) {
		$this->quantityMax = $quantityMax;
	}

	/**
	 * Returns the description
	 *
	 * @return string $description
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * Sets the description
	 *
	 * @param string $description
	 * @return void
	 */
	public function setDescription($description) {
		$this->description = $description;
	}

}