<?php
namespace InternetGalerie\Igshop2\Domain\Model;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2015
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Video
 */
class Video extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * video
	 *
	 * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
     * @TYPO3\CMS\Extbase\Annotation\ORM\Lazy
	 */
	protected $video = NULL;

	/**
	 * thumb
	 *
	 * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
     * @TYPO3\CMS\Extbase\Annotation\ORM\Lazy
	 */
	protected $thumb = NULL;

	/**
	 * sorting
	 *
	 * @var integer
	 */
	protected $sorting = 0;
	
	/**
	 * youtubeVideo
	 *
	 * @var string
	 */
	protected $youtubeVideo = '';

	/**
	 * Returns the video
	 *
	 * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference $video
	 */
	public function getVideo() {
		return $this->video;
	}

	/**
	 * Sets the video
	 *
	 * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $video
	 * @return void
	 */
	public function setVideo(\TYPO3\CMS\Extbase\Domain\Model\FileReference $video) {
		$this->video = $video;
	}

	/**
	 * Returns the thumb
	 *
	 * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference $thumb
	 */
	public function getThumb() {
		return $this->thumb;
	}

	/**
	 * Sets the thumb
	 *
	 * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $thumb
	 * @return void
	 */
	public function setThumb(\TYPO3\CMS\Extbase\Domain\Model\FileReference $thumb) {
		$this->thumb = $thumb;
	}

	/**
	 * Returns the sorting
	 *
	 * @return integer $sorting
	 */
	public function getSorting() {
		return $this->sorting;
	}

	/**
	 * Sets the sorting
	 *
	 * @param integer $sorting
	 * @return void
	 */
	public function setSorting($sorting) {
		$this->sorting = $sorting;
	}
	
	/**
	 * Returns the youtubeVideo
	 *
	 * @return string $youtubeVideo
	 */
	public function getYoutubeVideo() {
		return $this->youtubeVideo;
	}

	/**
	 * Sets the youtubeVideo
	 *
	 * @param string $youtubeVideo
	 * @return void
	 */
	public function setYoutubeVideo($youtubeVideo) {
		$this->youtubeVideo = $youtubeVideo;
	}

}